Replace Links
Replaces an existing link with a new one. This is useful when an object
must always remain linked to a parent — for example, re-parenting an
enhancement under a different capability or product part — because it
avoids the intermediate unlinked (orphan) state that would otherwise
occur if you deleted the old link and created a new one as two separate
steps. The existing link identified by id is removed and a new link
is created from source to target. Optionally, a different
link_type or custom_link_type can be specified for the new link.
For links between parts using a default (non-custom) link type, the
replacement is performed atomically. For all other cases (custom link
types or non-part endpoints), the replacement is performed as a
non-atomic delete followed by a create; in these cases, the new link
must have the same link type (or the same custom_link_type DON) as
the existing link, and must share at least one of the source or target
with the existing link, otherwise the request is rejected.
Authorization
auth-token All the DevRev APIs require a token to authenticate the user. Provide Authorization: Bearer <TOKEN> as a header to every API request.
How do I find my token?
In: header
Request Body
application/json
The ID of the custom link type, for the new link to be created.
idThe ID of the link to be replaced.
idType of link used to define the relationship.
"custom_link" | "developed_with" | "imports" | "is_analyzed_by" | "is_converted_to" | "is_dependent_on" | "is_duplicate_of" | "is_follow_up_of" | "is_merged_into" | "is_parent_of" | "is_part_of" | "is_related_to" | "serves"The ID of the source object.
idThe ID of the target object.
idResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://api.devrev.ai/links.replace" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "source": "string", "target": "string" }'{
"link": {
"created_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"created_date": "2023-01-01T12:00:00.000Z",
"display_id": "string",
"id": "string",
"modified_by": {
"type": "dev_user",
"display_id": "string",
"id": "string",
"display_name": "string",
"display_picture": {
"display_id": "string",
"id": "string",
"file": {
"type": "string",
"name": "string",
"size": 0
}
},
"email": "string",
"full_name": "string",
"state": "active"
},
"modified_date": "2023-01-01T12:00:00.000Z",
"object_version": 0,
"custom_link_type": {
"display_id": "string",
"id": "string",
"sync_metadata": {
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
}
},
"link_type": "custom_link",
"source": {
"type": "account",
"display_id": "string",
"id": "string",
"display_name": "string"
},
"sync_metadata": {
"external_record_id": "string",
"external_record_type": "string",
"external_reference": "string",
"last_sync_in": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"last_sync_out": {
"status": "failed",
"sync_date": "2023-01-01T12:00:00.000Z",
"sync_unit": {
"display_id": "string",
"id": "string",
"external_sync_unit_name": "string",
"external_system_id": "string",
"external_system_name": "string",
"external_system_type": "adaas",
"is_archived": true,
"name": "string",
"sync_run": {
"mode": "initial",
"progress": {
"state": "completed"
},
"reserved_rate_limit_percentage": 0
},
"sync_type": "manual"
}
},
"origin_system": "string"
},
"target": {
"type": "account",
"display_id": "string",
"id": "string",
"display_name": "string"
}
}
}{
"detail": "string",
"message": "string",
"type": "artifact_already_attached_to_a_parent",
"existing_parent": "string",
"is_same": true
}{
"detail": "string",
"message": "string",
"type": "dev_org_deactivated"
}{
"detail": "string",
"message": "string",
"type": "forbidden",
"object_ids": [
"string"
]
}{
"detail": "string",
"message": "string",
"type": "request_entity_too_large",
"max_bytes": 0
}{
"detail": "string",
"message": "string",
"type": "too_many_requests",
"retry_after": 0
}{
"detail": "string",
"message": "string",
"type": "internal_error",
"reference_id": "string"
}{
"detail": "string",
"message": "string",
"type": "service_unavailable"
}